<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

use Teknisa\GER\Controllers\TeknisaCrud;
use Teknisa\PED\Modules\Pedidos\Services\Ped05000MetaVendaComissaoService;
use \Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\GER\Controllers\CrudController;
use Zeedhi\Framework\DataSource\ParameterBag;
use \Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO;


class Ped05000MetaVendaComissaoController extends TeknisaCrud {

    protected $dataSourceName;
    protected $parameterBagColumns;
    protected $MetaVendaComissaoService;

    public function __construct($crudService, ParameterBag $parameterBag, $TabelaMetaComissaoService) {
        $this->TabelaMetaComissaoService = $TabelaMetaComissaoService;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function getNrSeq(DTO\Request $request, DTO\Response $response)  {
        $row  = $request->getRow();
        $nrseq = $row[0];
        $nrseq = $this->MetaVendaComissaoService->geraNrSeq($nrseq);
        $dataSet = new DataSet ('data',$nrseq);
        $response->addDataSet($dataSet);
    }

}